#pragma once

#include "CoreMinimal.h"
#include "StatusEffect.h"
#include "DBDTunableRowHandle.h"
#include "FrenzyEffect.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class THELEGION_API UFrenzyEffect : public UStatusEffect
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _increaseMovementSpeedPerTier;

private:
	UFUNCTION(BlueprintCallable)
	void Authority_OnFrenzyTierIncreased(int32 tier);

public:
	UFrenzyEffect();
};

FORCEINLINE uint32 GetTypeHash(const UFrenzyEffect) { return 0; }
